Bug 43700 - anaconda prob. - won't install
anaconda prob. - won't install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-06 12:33 EDT by jeffrey krause
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-20 14:58:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jeffrey krause 2001-06-06 12:33:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
when i try to install i receive an error (pasted under add. info) when the 
system is trying to read all packages on a custom install.

How reproducible:
Always

Steps to Reproduce:
1.install redhat on dell poweredge 2100
2.
3.
	

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
    todo.getCompsList()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 16, in 
readComps
    return ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
    self.readCompsFile(file, self.packages, arch, matchAllLang)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
    comp.addPackage(packages[l])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
    return self.packages[item]
KeyError: MAKEDEV

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 8223988>
item: MAKEDEV

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Brent Fox 2001-06-10 14:44:52 EDT
I think that you might have a bad cd.  Can you look on VC4 and see if there are
any error messages?
Comment 2 Brent Fox 2001-06-20 14:58:54 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.